'use strict';

var exec = require('child_process').exec;
var notifier = require('node-notifier');

var checkGitMaster = {
    getProject: function(){
        var str = process.cwd();
        var arr = str.split('/');
        return arr[arr.length-1];
    },

    notify: function(){
        var project = this.getProject();
        notifier.notify({
            title: 'master 分被强制切换',
            message: '项目【' + project + '】分支不在 master 上'
        });
    },

    checkBranch: function(stdout){
        var arr = stdout.split("\n");
        if ( arr[0] !== 'On branch master') {
            this.notify();
        }
    },

    launch: function(){
        var cmdStr = 'git status';
        var me = this;
        exec(cmdStr, function(err, stdout, stderr){
            if (err) {
                console.log('ERROR:' + stderr);
            } else {
                me.checkBranch(stdout);
            }
            setTimeout(function(){
                me.launch()
            }, 1000);
        });
    }
};

module.exports = checkGitMaster;
